%perl_module MIME-Base64-revival 3.09 2
%global pkgname MIME-Base64

Summary: Encoding and decoding of base64 and quoted-printable strings
Group: Development/Libraries
License: Artistic
URL: http://search.cpan.org/dist/%{pkgname}/
Source: http://search.cpan.org/CPAN/authors/id/G/GA/GAAS/%{pkgname}-%{version}.tar.gz
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root

%description
This package contains a base64 encoder/decoder and a quoted-printable
encoder/decoder.  These encoding methods are specified in RFC 2045 -
MIME (Multipurpose Internet Mail Extensions).

The base64 encoding is designed to represent arbitrary sequences of
octets in a form that need not be humanly readable. A 65-character
subset ([A-Za-z0-9+/=]) of US-ASCII is used, enabling 6 bits to be
represented per printable character.

The quoted-printable encoding is intended to represent data that
largely consists of bytes that correspond to printable characters in
the ASCII character set.  Each non-printable character is represented by
a triplet consisting of the character "=" followed by two hexadecimal
digits.

%prep
%setup -q -n %{pkgname}-%{version}

%build
%perl_configure
make
%perl_makecheck

%install
rm -rf %{buildroot}
%perl_makeinstall

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%doc README Changes
%{perl_vendorarch}/MIME
%{perl_vendorarch}/auto/MIME
%{perl_man3dir}/MIME::*.3pm*

%changelog
* Sat Jun  5 2010 Axel Thimm <Axel.Thimm@ATrpms.net> - 
- Update to 3.09.

* Mon Aug 13 2007 Axel Thimm <Axel.Thimm@ATrpms.net> - 
- Initial build.
